For the complete documentation index, see llms.txt. This page is also available as Markdown.

Recommended Retail Price

Manage recommended retail prices for VARIO Cloud articles via API, including country, currency and price values, with create, read, update and delete.

RecommendedRetailPrice API

get
Path parameters
idinteger · int64Required

an identifier

Responses
200

successful operation

*/*

Unverbindliche Preisempfehlung für einen Artikel

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

valuenumberRequired

Preis

get/erp/recommended-retail-price/{id}
GET /erp/recommended-retail-price/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "currencyCode": {
    "id": 1,
    "isoAlpha3": "text",
    "label": "text",
    "symbol": "text"
  },
  "countryCode": {
    "id": 1,
    "isoAlpha2": "text",
    "isoAlpha3": "text",
    "label": "text"
  },
  "articleRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "value": 1
}
put
Path parameters
idinteger · int64Required

an identifier

Body

Unverbindliche Preisempfehlung für einen Artikel

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

valuenumberRequired

Preis

Responses
200

successful operation

*/*

Unverbindliche Preisempfehlung für einen Artikel

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

valuenumberRequired

Preis

put/erp/recommended-retail-price/{id}
PUT /erp/recommended-retail-price/{id} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 181

{
  "version": "text",
  "info": {},
  "id": "text",
  "currencyCode": {
    "id": 1,
    "isoAlpha3": "text"
  },
  "countryCode": {
    "id": 1,
    "isoAlpha2": "text",
    "isoAlpha3": "text"
  },
  "articleRef": {
    "id": "text"
  },
  "value": 1
}
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "currencyCode": {
    "id": 1,
    "isoAlpha3": "text",
    "label": "text",
    "symbol": "text"
  },
  "countryCode": {
    "id": 1,
    "isoAlpha2": "text",
    "isoAlpha3": "text",
    "label": "text"
  },
  "articleRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "value": 1
}
delete
Path parameters
idinteger · int64Required

an identifier

Responses
200

successful operation

*/*
contextstringOptional

message context

messageValuestringOptional

message

delete/erp/recommended-retail-price/{id}
DELETE /erp/recommended-retail-price/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
  "context": "text",
  "messageValue": "text"
}

Create new Resource

post
Body

Unverbindliche Preisempfehlung für einen Artikel

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

valuenumberRequired

Preis

Responses
200

successful operation

*/*

Unverbindliche Preisempfehlung für einen Artikel

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

valuenumberRequired

Preis

post/erp/recommended-retail-price/
POST /erp/recommended-retail-price/ HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 181

{
  "version": "text",
  "info": {},
  "id": "text",
  "currencyCode": {
    "id": 1,
    "isoAlpha3": "text"
  },
  "countryCode": {
    "id": 1,
    "isoAlpha2": "text",
    "isoAlpha3": "text"
  },
  "articleRef": {
    "id": "text"
  },
  "value": 1
}
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "currencyCode": {
    "id": 1,
    "isoAlpha3": "text",
    "label": "text",
    "symbol": "text"
  },
  "countryCode": {
    "id": 1,
    "isoAlpha2": "text",
    "isoAlpha3": "text",
    "label": "text"
  },
  "articleRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "value": 1
}

Last updated

Was this helpful?